/**
 * @uiName Text
 * @validParents ["sqm-portal-container","div","sqm-divided-layout","sqm-brand","template","sqm-hero","sqm-big-stat","span","sqm-text-span","sqb-program-section","sqb-conditional-section", "sqm-titled-section"]
 * @slots [{"name":"", "title":"Text"}]
 * @slotEditor richText
 * @canvasRenderer always-replace
 */
export declare class Text {
  ignored: boolean;
  /**
   * Font size in pixels
   * @uiName Font Size
   * @uiType number
   */
  fontSize?: number;
  /**
   * @uiName Text Color
   * @uiWidget color
   * @format color
   */
  textColor?: string;
  constructor();
  disconnectedCallback(): void;
  componentWillLoad(): void;
  render(): any;
}
